'TOOL=1
'INFO=EDM32 custom edit control (Borje Hagsten)
'BITMAP=ThirdPty\Edm32\Source.bmp
'UUID={41B04981-D9F1-48DD-9EC9-5F565D6F090A}
'CLASS=EDM32EDIT
'USERNAME=EDM32
'DLL=ThirdPty\Edm32\Edm32.dll
'REGISTER=Edm32.dll InitEDM32EDITClass
'DECLARES=ThirdPty\Edm32\Edm32.inc
'SOURCE=1
'VERSION=Oct 15, 2004
'COPYRIGHT=Public Domain by Borje Hagsten, September 2001
'COMPANY=Borje Hagsten (http://www.tolkenxp.com/pb/index.htm)
'COMMENTS=Edit control with source lexing
'HOMEPAGE=http://www.tolkenxp.com/pb/index.htm
BEGIN VPB_Placeholder EDM321
  UUID {F9AF1D6A-69CC-4BA8-ACEE-DE5F0843C22C}
  BEGIN WinStyle
    WS_CHILD
    WS_VISIBLE
    WS_CLIPSIBLINGS
    WS_TABSTOP
  END
  BEGIN CustNotifications
    Count=10
    ItemIdx=0
    Item=EDN_SetInfo
    Value=0
    Apply=TRUE
    Purpose="Sent to parent window via WM_NOTIFY on all caret movements, etc."
    Notify=TRUE
    wParamInfo="identifier of the control"
    lParamInfo="pointer to an NMSETINFO structure"
    Return="The return value is ignored by the control."
    ItemIdx=1
    Item=NM_Click
    Value=0
    Apply=TRUE
    Purpose="Notifies the parent window that the user has clicked the left mouse button within the control.\r\nThis notification is sent via WM_NOTIFY."
    Notify=TRUE
    wParamInfo="identifier of the control"
    lParamInfo="pointer to an NMHDR structure"
    Return="The return value is ignored by the control."
    ItemIdx=2
    Item=NM_DblClk
    Value=0
    Apply=TRUE
    Purpose="Notifies the parent window that the user has double-clicked the left mouse button within the control.\r\nThis notification is sent via WM_NOTIFY."
    Notify=TRUE
    wParamInfo="identifier of the control"
    lParamInfo="pointer to an NMHDR structure"
    Return="The return value is ignored by the control."
    ItemIdx=3
    Item=NM_KillFocus
    Value=0
    Apply=TRUE
    Purpose="Notifies the parent window that the control has lost the input focus.\r\nThis notification is sent via WM_NOTIFY."
    Notify=TRUE
    wParamInfo="identifier of the control"
    lParamInfo="pointer to an NMHDR structure"
    Return="The return value is ignored by the control."
    ItemIdx=4
    Item=NM_RClick
    Value=0
    Apply=TRUE
    Purpose="Notifies the parent window that the user has clicked the right mouse button within the control.\r\nThis notification is sent via WM_NOTIFY."
    Notify=TRUE
    wParamInfo="identifier of the control"
    lParamInfo="pointer to an NMHDR structure"
    Return="The return value is ignored by the control."
    ItemIdx=5
    Item=NM_RDblClk
    Value=0
    Apply=TRUE
    Purpose="Notifies the parent window that the user has double-clicked the right mouse button within the control.\r\nThis notification is sent via WM_NOTIFY."
    Notify=TRUE
    wParamInfo="identifier of the control"
    lParamInfo="pointer to an NMHDR structure"
    Return="The return value is ignored by the control."
    ItemIdx=6
    Item=NM_Return
    Value=0
    Apply=TRUE
    Purpose="Notifies the parent window that the control has the input focus and that the user has pressed the ENTER key.\r\nThis notification is sent via WM_NOTIFY."
    Notify=TRUE
    wParamInfo="identifier of the control"
    lParamInfo="pointer to an NMHDR structure"
    Return="The return value is ignored by the control."
    ItemIdx=7
    Item=NM_SetFocus
    Value=0
    Apply=TRUE
    Purpose="Notifies the parent window that the control has received the input focus.\r\nThis notification is sent via WM_NOTIFY."
    Notify=TRUE
    wParamInfo="identifier of the control"
    lParamInfo="pointer to an NMHDR structure"
    Return="The return value is ignored by the control."
    ItemIdx=8
    Item=EN_ErrSpace
    Value=0
    Purpose="Sent when the control cannot allocate enough memory to meet a specific request.\r\nThis notification is sent via WM_COMMAND."
    wParamInfo="low-order word = control identifier, high-order word = notification code"
    lParamInfo="handle of control"
    Return="No return value."
    ItemIdx=9
    Item=BN_Clicked
    Value=0
    Purpose="Sent when the user presses the ESCAPE key.\r\nThis notification is sent via WM_COMMAND."
    wParamInfo="low-order word = control identifier, high-order word = notification code"
    lParamInfo="handle of control"
    Return="No return value."
  END
  (Properties)
  BEGIN
    ItemCount=24
    ItemIdx=0
    Name=edmFont
    PropType= FONT
    Value
    BEGIN
      Name=Fixedsys
      PointSize=11
      Weight=FW_NORMAL
      Italic=0
      Underline=0
      Strikeout=0
      CharSet=0  ' ANSI
    END
    Tip="Sets the font used by the control."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD WM_SETFONT= &H30, BYVAL DWORD edmFont, BYVAL LONG TRUE=1
    ItemIdx=1
    Name=edmFile
    PropType= TEXT
    Value=""
    Tip="Loads a text file."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_LOADFILE=WM_USER+100, BYVAL DWORD edmFile, BYVAL LONG 0
    ItemIdx=2
    Name=edmFileType
    PropType= EDITLIST
    Value="0 - Default"
    List
    BEGIN
      0 - Default
      2 - BAS
      3 - HTML
      4 - RC
    END
    Tip="Sets the file type."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETFILETYPE=WM_USER+109, BYVAL DWORD edmFileType, BYVAL LONG TRUE=1
    ItemIdx=3
    Name=edmBookmarkColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets the bookmark color."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETBMCOLOR=WM_USER+172, BYVAL DWORD edmBookmarkColor, BYVAL LONG TRUE=1
    ItemIdx=4
    Name=edmGridLineColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets grid line color."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETCOLORGRIDLINE=WM_USER+182, BYVAL DWORD edmGridLineColor, BYVAL LONG 0
    ItemIdx=5
    Name=edmAsmSyntaxColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets syntax color for inline Asm code - default RED."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETCOLORSYNTAXASM=WM_USER+183, BYVAL DWORD edmAsmSyntaxColor, BYVAL LONG 0
    ItemIdx=6
    Name=edmCodeSyntaxColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets syntax color for PB code - default BLUE."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETCOLORSYNTAXCODE=WM_USER+184, BYVAL DWORD edmCodeSyntaxColor, BYVAL LONG 0
    ItemIdx=7
    Name=edmRemSyntaxColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets syntax color for uncommented code (rem) - default GREEN."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETCOLORSYNTAXREM=WM_USER+185, BYVAL DWORD edmRemSyntaxColor, BYVAL LONG 0
    ItemIdx=8
    Name=edmStringSyntaxColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets syntax color for strings - default RED."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETCOLORSYNTAXSTRING=WM_USER+186, BYVAL DWORD edmStringSyntaxColor, BYVAL LONG 0
    ItemIdx=9
    Name=edmPageColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets window color - default COLOR_WINDOW."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETCOLORPAGE=WM_USER+190, BYVAL DWORD edmPageColor, BYVAL LONG TRUE=1
    ItemIdx=10
    Name=edmTextColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets text color - default COLOR_WINDOWTEXT."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETCOLORTXT=WM_USER+191, BYVAL DWORD edmTextColor, BYVAL LONG TRUE=1
    ItemIdx=11
    Name=edmTextBackColor
    PropType= COLOR
    Value=(Default)
    Tip="Sets text background color - default COLOR_WINDOW."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETCOLORTXTBK=WM_USER+192, BYVAL DWORD edmTextBackColor, BYVAL LONG TRUE=1
    ItemIdx=12
    Name=edmGridLines
    PropType= BOOLEAN
    Value=FALSE
    Tip="Sets grid-lines on/off, 0 = OFF, else ON."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETGRID=WM_USER+200, BYVAL DWORD edmGridLines, BYVAL LONG 0
    ItemIdx=13
    Name=edmKbdShortCuts
    PropType= BOOLEAN
    Value=TRUE
    Tip="Sets internal keyboad shortcuts on/off."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETKBSHORTCUTS=WM_USER+204, BYVAL DWORD edmKbdShortCuts, BYVAL LONG 0
    ItemIdx=14
    Name=edmKeywordCase
    PropType= BOOLEAN
    Value=FALSE
    Tip="Sets KeyWord case status, 0 = ignore case, else auto UCASE."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETKWCASE=WM_USER+206, BYVAL DWORD edmKeywordCase, BYVAL LONG 0
    ItemIdx=15
    Name=edmShowNonPrinting
    PropType= BOOLEAN
    Value=FALSE
    Tip="Sets show-status of non-visual characters, 0 = SHOW, else HIDE"
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETSHOWNONPRINT=WM_USER+210, BYVAL DWORD wParam, BYVAL LONG 0
    ItemIdx=16
    Name=edmSyntaxColoring
    PropType= BOOLEAN
    Value=TRUE
    Tip="Sets syntax coloring on/off, 0 = OFF, else ON."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETSYNTAXONOFF=WM_USER+212, BYVAL DWORD edmSyntaxColoring, BYVAL LONG 0
    ItemIdx=17
    Name=edmWordWrap
    PropType= BOOLEAN
    Value=FALSE
    Tip="Sets WordWrap On/Off."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETWORDWRAP=WM_USER+214, BYVAL DWORD edmWordWrap, BYVAL LONG 0
    ItemIdx=18
    Name=edmShowScrollInfo
    PropType= BOOLEAN
    Value=TRUE
    Tip="Sets thumbtrack scrollinfo label on/off."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SHOWSCROLLINFO=WM_USER+216, BYVAL DWORD edmShowScrollInfo, BYVAL LONG 0
    ItemIdx=19
    Name=edmAutoIndent
    PropType= BOOLEAN
    Value=TRUE
    Tip="Sets auto indent on/off."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETAUTOINDENT=WM_USER+218, BYVAL DWORD edmAutoIndent, BYVAL LONG 0
    ItemIdx=20
    Name=edmReadOnly
    PropType= BOOLEAN
    Value=FALSE
    Tip="Sets ReadOnly mode, <> 0 = ReadOnly."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETREADONLY=WM_USER+320, BYVAL DWORD edmReadOnly, BYVAL LONG 0
    ItemIdx=21
    Name=edmTopLine
    PropType= NUMBER
    Value=0
    Tip="Sets top line (First visible line)."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETTOPLINE=WM_USER+480, BYVAL DWORD edmTopLine, BYVAL LONG TRUE=1
    ItemIdx=22
    Name=edmTabSize
    PropType= NUMBER
    Value=0
    Tip="Sets Tab width (number of spaces that replaces a tab)."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETTABSIZE=WM_USER+48, BYVAL DWORD edmTabSize, BYVAL LONG 0
    ItemIdx=23
    Name=edmLeftMargin
    PropType= NUMBER
    Value=0
    Tip="Sets width of left margin."
    SetUsing=USER32.DLL SendMessage=SendMessageA BYVAL DWORD hWnd, BYVAL DWORD EDM_SETLEFTMARGIN=WM_USER+488, BYVAL DWORD edmLeftMargin, BYVAL LONG TRUE=1
  END
  IdNumber=101
  IdSymbol=IDC_FORM1_EDM321
  Left=30
  Top=21.5384615384615
  Height=68.3076923076923
  Width=167.333333333333
  WindowClass
  BEGIN
    Type=Normal
    Class="EDM32EDIT"
  END
END
